Neonode zForce(TM) SDK

Public Attributes | List of all members
SnappingFilterMessage Struct Reference

This structure represents an snapping filter message. More...

`#include <SnappingFilterMessage.h>`

## Public Attributes
MessageType | MessageType
MessageGroup | MessageGroup
bool | Error
int | ErrorCode
uint64_t | SerialNumber
void(* | Destructor )(Message *self)
bool | Enabled
| True when Snapping Filter is enabled.
bool | HasEnabled
| True when Enabled is valid.
uint32_t | LeftInner
| Distance from edge to the inner snapping edge, left side of Touch Active Area.
uint32_t | LeftOuter
| Distance from edge to the outer snapping edge, left side of Touch Active Area.
bool | HasLeft
| True when LeftInner & LeftOuter is valid.
uint32_t | RightInner
| Distance from edge to the inner snapping edge, right side of Touch Active Area.
uint32_t | RightOuter
| Distance from edge to the outer snapping edge, right side of Touch Active Area.
bool | HasRight
| True when RightInner & RightOuter is valid.
uint32_t | TopInner
| Distance from edge to the inner snapping edge, top side of Touch Active Area.
uint32_t | TopOuter
| Distance from edge to the outer snapping edge, top side of Touch Active Area.
bool | HasTop
| True when TopInner & TopOuter is valid.
uint32_t | BottomInner
| Distance from edge to the inner snapping edge, bottom side of Touch Active Area.
uint32_t | BottomOuter
| Distance from edge to the outer snapping edge, bottom side of Touch Active Area.
bool | HasBottom
| True when BottomInner & BottomOuter is valid.

## Detailed Description

This structure represents an snapping filter message.

This structure represents a message containing snapping filter information.

## Member Data Documentation

## ◆ Destructor

void( * SnappingFilterMessage::Destructor) (Message *self)

Destructor.
Inherited from Message base class.

## ◆ Error

bool SnappingFilterMessage::Error

If an error occurred, this is True.
Inherited from Message base class.

## ◆ ErrorCode

int SnappingFilterMessage::ErrorCode

Error Code, valid when Error == true.
Inherited from Message base class.

## ◆ MessageGroup

MessageGroup SnappingFilterMessage::MessageGroup

The Message Group of the Message.
Inherited from Message base class.

## ◆ MessageType

MessageType SnappingFilterMessage::MessageType

The Message Type of the Message.
Inherited from Message base class.

## ◆ SerialNumber

uint64_t SnappingFilterMessage::SerialNumber

Unique serial number for this message.
Inherited from Message base class.

The documentation for this struct was generated from the following file:

- SnappingFilterMessage.h